isdnutils (1:3.25+dfsg1-3.3+rpi1) jessie-staging; urgency=medium

  Based on proposed NMU by Tobias Frost <tobi@coldtobi.de> at
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=745624#43

  * Non-maintainer upload. (Closes: #745881)
  * Fix "postinst uses /usr/share/doc content (Policy 12.3)", applying
    relevant sections from the patch found in BTS (Closes: #710359)
  * debian/patches/vbox-configure-quoting.patch: fix wrong handling of paths
    with embedded quotes; this confuses vbox's configure script something
    fierce, and causes files to be missed from debian/tmp'/usr/share/doc/'
    at install time.
  * pppdcapiplugin need to depend on ppp 2.4.6 (Closes: #745624)
  * Also tighening the B-Ds to allow only ppp-dev 2.4.6
  * Do no longer build libcapi20 and libcapi20-dev as they are now in a
    separate package. The required changes in the build system are in
    use-packaged-libcapi20.patch. (Closes: #746353)
  * Update B-D to tcl-dev to version 8.6 (Closes: #725000)

 -- Tobias Frost <tobi@coldtobi.de>  Wed, 30 Apr 2014 19:12:39 +0200

isdnutils (1:3.25+dfsg1-3.3) unstable; urgency=low

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * ipppd.postinst: Create isdnctrl symlink as /dev/isdnctrl and cleanup
    possibly misplaced symlink /isdnctrl.  (Closes: #710707)

  [ Christoph Biedl ]
  * unbreak debian/{ipppd,isdnlog}.config once more. Closes: #696660

 -- Andreas Beckmann <anbe@debian.org>  Thu, 06 Jun 2013 12:36:01 +0200

isdnutils (1:3.25+dfsg1-3+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-add MAKEDEV calls to *.postinst and init.d.functions.
    Closes: #609736.
    - Many thanks to Christoph Biedl for the patch.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 26 Mar 2013 03:39:07 +0000

isdnutils (1:3.25+dfsg1-3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * isdnlog: make sure postinst works as expected on package upgrades.
    Closes: #696532 

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 03 Mar 2013 09:34:44 +0000

isdnutils (1:3.25+dfsg1-3wheezy1) unstable; urgency=low

  * control: let libcapi20-dev conflict with older version of
    isdnutils-base. Closes: #671297

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 26 Nov 2012 03:05:00 +0100

isdnutils (1:3.25+dfsg1-3) unstable; urgency=low

  * translation update. Closes: #686180
    Many thanks to David Prévot, the driver behind this work, and all
    the translators contributing.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 23 Sep 2012 14:49:40 +0800

isdnutils (1:3.25+dfsg1-2) unstable; urgency=low

  [ Rolf Leggewie ]
  * deactivate watch file until upstream starts releasing tarballs again

  [ Peter Marschall ]
  * simplify autotools stuff and drop dependency on obsolete automake
    version 1.7. Closes: #549137

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 30 Jul 2012 03:53:00 +0800

isdnutils (1:3.25+dfsg1-1) unstable; urgency=low

  * debian/init.d.functions: reintroduce cd-command lost in 985a74cd63.
    Closes: #679651
  * upstream is in fact still not dfsg-free.  reintroduce dfsg-tarball
    Closes: #680503

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 06 Jul 2012 20:17:50 +0800

isdnutils (1:3.25-1) unstable; urgency=low

  * new upstream release (dfsg-free since 3.22)
  * drop three patches that were incorporated into upstream

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 30 Jun 2012 23:06:27 +0800

isdnutils (1:3.22+dfsg1-7) unstable; urgency=low

  [ Kees Cook ]
  * enable multi-arch. Closes: #651475

  [ Rolf Leggewie ]
  * backport 9f06a049dceb19 from upstream to fix FTBFS with compat 9
  * dynamically create debian/*.install files to simplify backporting

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 24 Jun 2012 00:56:11 +0800

isdnutils (1:3.22+dfsg1-6) unstable; urgency=low

  * {isdnlog,ipppd}: protect more db_* calls with "||true". Closes:#671877

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 08 May 2012 04:30:04 +0800

isdnutils (1:3.22+dfsg1-5) unstable; urgency=low

  * debian/rules: move to something resembling dh7 rules.tiny
    still very ugly and with many long overrides in place

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 06 May 2012 17:32:55 +0800

isdnutils (1:3.22+dfsg1-4) unstable; urgency=low

  * isdnutils-base: stop shipping isdn_dwabclib.h. Closes: #671297
  * {ipppd,isdnlog}.config: turn on abort on error
  * ipppd: pass three-way and debconf-ok options to ucf
  * debian/control: bump mimimum requirement for debhelper to version
    8.1.0 for "dh build-arch"-support

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 03 May 2012 16:10:35 +0800

isdnutils (1:3.22+dfsg1-3) unstable; urgency=medium

  * isdnutils-base: use dh_installcron instead of postinst. Closes: #197254
  * isdnlog:
    - handle conf files with ucf. Closes: #331116
    - simplify and overhaul postinst
  * ipppd: bring more config files under ucf control. drop md5sum file.
  * libcapi20-dev: ship all *.h files. Closes: #670406
  * isdnvboxserver:
    - use "set -e" instead of "#!/bin/sh -e" in postinst
    - vboxmail is a tool for the admin, install to proper path
  * simplify build process (still ongoing process), leverage more of dh7
  * drop obsolete lintian overrides

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 30 Apr 2012 23:40:53 +0800

isdnutils (1:3.22+dfsg1-2) unstable; urgency=low

  * capiutils: use dh_installmodules correctly. Closes: #667961
  * isdnutils-base: use dh_link to do the linking
  * README.Debian: point to separate isdnactivecards package
  * debian/control: bump Standards-Version to 3.9.3
    still not fully lintian-clean

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 16 Apr 2012 05:49:58 +0800

isdnutils (1:3.22+dfsg1-1) experimental; urgency=low

  * NEW UPSTREAM release after 6 years of inactivity, Yay!
    - many of our patches were included upstream and can be dropped
    - fix authentication of local to remote host. Closes: #348943
      Many thanks to Herbert Xu for providing the patch.
    - update German cellphone network number prefixes. Closes: #404458
    - update incorrect information in avmcapictrl(8). Closes: 309557
      Many thanks to Peter Marschall for providing the patch.
    - prevent symbol lookup error in libcapi. Closes: #655086
  * update debian/copyright
  * debian/control:
    - add ppp-dev to build-time dependencies
    - update some long descriptions
  * debian/po/: update translation files

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 13 Apr 2012 05:50:52 +0800

isdnutils (1:3.9.20060704+dfsg.3-5) unstable; urgency=low

  * isdnutils-base: drop code related to card firmware loading
  * isdnvboxserver: process debconf errors properly. Closes: #601768
  * ipppd:
    - drop some code to handle ancient config file updates
    - handle conffile debian/device.DEVICE with dh7 and ucf
  * libcapi20-dev: include capi20.pc file in binary package

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 16 Mar 2012 00:12:54 +0100

isdnutils (1:3.9.20060704+dfsg.3-4) unstable; urgency=low

  * smooth out upgrades from b0rked libcapi20 packages. Closes: #656204
  * debian/init.d.functions: completely drop udev probing. Closes: #644315
  * debian/isdnlog.postinst: update path to isdnlog.DEVICE. Closes: #661074
    the file was moved around recently. My apologies for the regression.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 24 Feb 2012 23:07:18 +0800

isdnutils (1:3.9.20060704+dfsg.3-3) unstable; urgency=low

  * libcapi20-{3,dev}: *.so files ought to be shipped in -dev package
  * libcapi20-dev: stop shipping .la files at all
  * drop some obsolete maintainer files
  * drop code to upgrade from ancient releases from maintainer files
  * let dh_installinit do its magic. Closes: #656125
  * debian/ipppd.postinst: ip-up and ip-down scripts changed file names
  * debian/rules: stop special-casing hurd and sh ARCH

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 17 Jan 2012 08:22:29 +0800

isdnutils (1:3.9.20060704+dfsg.3-2) unstable; urgency=medium

  * debian/libcapi20-dev.install: drop libcapi20.so file from the dev package
    Closes: #655840. Closes: #655760.
  * leverage more of debhelper in the build system (ongoing effort)
    - leverage more of the power of dh_{install,installppp,installdocs,
      installexamples,installinit,installlogrotate,installmodules}
    - drop debian/finish-install-last.sh
    - significantly reduce special-casing in debian/rules
    - call "dh install" from the install target instead of "dh_install"
      only.  The former implies the latter and more.
    - binary-indep and clean target fully migrated to dh
    - migrate most of binary-arch target over to dh as well
  * debian/cisco-config: drop unused file

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 14 Jan 2012 18:30:49 +0800

isdnutils (1:3.9.20060704+dfsg.3-1) unstable; urgency=medium

  [ Michael Mueller ]
  * debian/patches: export symbol alloc_applid for capi20. Closes: #650155

  [ Rolf Leggewie ]
  * create dfsg tarball 3.9.20060704+dfsg.3
    - stop shipping upstream capi20 which we fully replace with cvs trunk
    - drop .cvsignore files, too, while we're at it
  * leverage more of debhelper to do the packaging (ongoing effort)
  * debian/rules:
    - add "dummy" build-arch and build-indep target
    - clean target successfully moved to dh standard
  * debian/capiutils.init: drop code related to obsolete capifs.
    Closes: #651722, closes: #335283, closes: #414199, closes: #433992
  * debian/isdnlog.postinst: remove code to update from 10 year old package
  * libcapi20-3: install instead of explicitly creating links to libs
  * isdnutils-base: drop obsolete README.source

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 11 Jan 2012 12:17:14 +0800

isdnutils (1:3.9.20060704+dfsg.2-12) unstable; urgency=low

  * debian/libcapi20-3.links: link *.so to *.so.0.0.0 (Closes: #650156)
    Many thanks to Michael Müller for his work on the issue.
  * rely more on debhelper instead of fragile scripting
    - let dh7 take care of some of the stuff in debian/finish-install*.sh
    - replace dh_movefiles with dh_install
    - use specialized debhelper tools for docs, man pages and examples
    - rely on dh_lintian for the overrides
  * debian/patches/ALL_*.patch: strip unnecessary linking from builds
  * debian/rules:
    - empty dependency_libs field in .la files
    - use dh_prep instead of dh_clean -k
    - use $CURDIR instead of $pwd
  * debian/libcapi20-3.README: add information how to recompile for debugging
  * debian/*.lintian-overrides: fix some syntactical errors
  * drop transitional binary metapackage isdnutils
  * debian/*.dirs:
    - fix isdnutils-doc touching usr/share/doc/isdnutils
    - drop erroneous /usr/man/man1 directory from isdnutils-xtools.dirs
  * drop debian/*.conffiles (unnecessary since compat level 3 already)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 29 Nov 2011 14:20:45 +0800

isdnutils (1:3.9.20060704+dfsg.2-11) unstable; urgency=low

  [ Jeroen Schot ]
  * debian/po: add Dutch translation. Closes: #626896

  [ Joe Dalton ]
  * debian/po: add Danish translation.  Closes: #626306

  [ Rolf Leggewie ]
  * debian/control:
    - build for Architecture: linux-any. Closes: #644333
    - make sure that isdnlog is safe for binNMU
    - bump up to policy 3.9.2. still not lintian-clean.
  * debian/libcapi20: ship usr/lib/capi/*.so.* files
  * streamline debian rules and leverage more of debhelper7 magic
    - bump debhelper version requirement
    - bump compat for debian/clean support
    - move some of the clean target out of debian/rules and into debian/clean
    - remove some comments
    - still loads of work left to be done
  * debian/patches: strip uselessly added linkage from no-imake.patch

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 10 Oct 2011 20:29:25 +0800

isdnutils (1:3.9.20060704+dfsg.2-10) unstable; urgency=medium

  * debian/patches/: update vbox-autotools.patch. Closes: #618228
    make the build-system agnostic to tcl-version from the build host
  * debian/control
    - allow uploads by Debian Maintainers
    - drop build dependency on automake1.4, possibility for further
      simplifications need to be investigated, help more than welcome!

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 16 Jul 2011 04:22:45 +0900

isdnutils (1:3.9.20060704+dfsg.2-9) experimental; urgency=low

  * capi20: grab Jan-Michael's new code from cvs. LP: 420918
  * debian/patches:
    - rebase capi20-h-needs-stddef-h.patch to newest capi20 code
    - apply load_capifs_silently.patch from Jan Kiszka
      capifs will be dropped in kernel >= 2.6.38
  * debian/rules: drop call to debconf-updatepo
  * debian/init.d.functions: force overwriting a dangling symlink
    as discussed in bug 609736

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 31 Oct 2010 09:51:08 +0900

isdnutils (1:3.9.20060704+dfsg.2-8) unstable; urgency=low

  * remove calls to MAKEDEV from *.postinst and init.d.functions
    they should no longer be necessary. Closes: #607387

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 27 Dec 2010 12:54:01 +0800

isdnutils (1:3.9.20060704+dfsg.2-7) unstable; urgency=medium

  * debian/*.postinst: hardcode path to MAKEDEV
    Closes: #604219, #604211, #597926, #604216
  * debian/control: 
    - drop explicit dependency on "udev|makedev", this is picked up
      automatically
    - add armhf support.  Closes: #604675

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 25 Nov 2010 20:47:52 +0100

isdnutils (1:3.9.20060704+dfsg.2-6) unstable; urgency=low

  * turn "abort on error" in debian/isdnutils-base.config and
    debian/isdnvboxserver.config off until further analysis has been done
    (c.f. bugs 601768 and 554537 which report upgrade breakage)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 29 Oct 2010 21:39:39 +0900

isdnutils (1:3.9.20060704+dfsg.2-5) unstable; urgency=low

  * debian/control:
    - take over maintainership of isdnutils (Closes: #546946)
    - bump to standard 3.9.1 (still not lintian clean)
      drop a couple of obsolete lintian overrides
    - add Homepage and Vcs fields
  * rename isdnutils.lintian-overrides to source.lintian-overrides
  * abort on error for maintenance scripts as recommend by policy
    - debian/isdnutils-base.config
    - debian/isdnvboxserver.config
  * debian/watch: adjust dversionmangle to work with dfsg-numbering
  * fix section inconsistencies for a number of man pages
  * debian/copyright: add my copyright
  * isdnlog: fix spelling mistake in dest.cdb (Closes: #593136)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 28 Oct 2010 07:17:42 +0900

isdnutils (1:3.9.20060704+dfsg.2-4) unstable; urgency=low

  * QA upload
  * Add va_list.patch to debian/patches/series (Closes: #600037).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 15 Oct 2010 11:27:39 +0900

isdnutils (1:3.9.20060704+dfsg.2-3) unstable; urgency=low

  * QA upload
  * Rebuild including the architecture-indepdendent binaries

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 14 Oct 2010 03:13:14 +0100

isdnutils (1:3.9.20060704+dfsg.2-2) unstable; urgency=low

  * QA upload
  * Fix short diff context in ippd-ms-chap.patch which caused lenny's
    patch command (and dpkg-source) to reject it

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 10 Oct 2010 00:07:00 +0100

isdnutils (1:3.9.20060704+dfsg.2-1) unstable; urgency=low

  * QA upload
  * Restore ipppd, replacing the GPL-licenced code (Closes: #599627)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 09 Oct 2010 19:14:37 +0100

isdnutils (1:3.9.20060704+dfsg.1-3) unstable; urgency=low

  * QA upload.
  * Replace tcl8.3-dev Build Dependency with tcl-dev (Closes: #590651). 

 -- Martijn van Brummelen <martijn@brumit.nl>  Fri, 10 Sep 2010 11:33:56 +0200

isdnutils (1:3.9.20060704+dfsg.1-2) unstable; urgency=low

  * QA upload.
  * Refresh patches so they apply cleanly.
  * Update ppp-2.4.4.patch to only build the plugin for version 2.4.4. There
    is no need to support older versions of ppp from pre-etch times.
  * Add ppp-2.4.5.patch to support ppp 2.4.5.
  * As we build pppdcapiplugin for ppp 2.4.4 and 2.4.5, change the dependency
    to ppp (>= 2.4.4), ppp (<< 2.4.6).
  * Drop old Conflicts and Replaces which are no longer necessary.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Jul 2010 21:26:45 +0200

isdnutils (1:3.9.20060704+dfsg.1-1) unstable; urgency=low

  * QA upload
  * Change source package to 3.0 (quilt) format
  * Remove some components that are not DFSG-compliant (Closes: #559425):
    - act2000/firmware: no source code available
    - eicon/firmware: no source code available
    - eurofile/src/wuath: commercial use is forbidden
    - hisax/ISAR.bin: no source code available
    - icn/firmware: no source code available
    - ipppd: incompatible licences (advertising clause vs GPL)
    - isdnlog/isdnlog/ora*: commercial use is forbidden
    - isdnlog/tools/telrate/tt.js: no licence stated
    - pcbit/convhexbin.c: no licence stated
  * Drop eurofile, ipppd and isdnactivecards packages
    - isdnactivecards will be re-added in the non-free section
  * Remove all modified autotools-generated files in 'clean' rule

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 26 Jun 2010 12:47:04 +0100

isdnutils (1:3.9.20060704-10) unstable; urgency=low

  * QA upload
  * Add sparc64 and sh4 to the architectures lists.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 07 Apr 2010 13:48:24 +0900

isdnutils (1:3.9.20060704-9) unstable; urgency=low

  * QA upload
  * Add va_list.dpatch to the list of patches to apply.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 01 Feb 2010 22:09:24 +0100

isdnutils (1:3.9.20060704-8) unstable; urgency=low

  * QA upload
  * Add sparc64 and sh4 to the architectures lists.  Closes: #549878.
  * [Debconf translation updates]
    - French (Christian Perrier).  Closes: #551720
    - Galician (Marce Villarino).  Closes: #554475.
  * Relibtoolize.  Closes: #560560. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 31 Jan 2010 16:52:48 +0000

isdnutils (1:3.9.20060704-7) unstable; urgency=low

  * Drop "set -e" in config scripts as it breaks upgrades.
    Let's hope someone will look this in more details later on
    Closes: #554537

 -- Christian Perrier <bubulle@debian.org>  Thu, 05 Nov 2009 20:21:15 +0100

isdnutils (1:3.9.20060704-6) unstable; urgency=low

  * QA upload
  * Make "MAKEDEV" calls conditional in postinst scripts
    Closes: #553692
  * Replace libreadline5-dev by libreadline-dev in build dependencies
    Closes: #553790

 -- Christian Perrier <bubulle@debian.org>  Wed, 04 Nov 2009 19:57:31 +0100

isdnutils (1:3.9.20060704-5) unstable; urgency=low

  * QA upload
  * Allow build on sh4. Closes: #549878
  * Use "set -e" in all config scripts
  * Replace call to "/bin/kill" by "kill" in ipppd.prerm
  * Replace call to "/sbin/MAKEDEV" by "MAKEDEV" in postinst scripts
  * Replace call to "/sbin/init" by "init" in postinst scripts
  * Add "${misc:Depends} to ippd dependencies to properly cope with
    dependencies that might be triggered by debhelper utilities
  * Drop useless calls to install-docs in prerm scripts
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #550030
  * Remove "Uploaders:" as the package is orphaned
  * [Debconf translation updates]
    - Czech (Martin Sin).  Closes: #550726
    - Vietnamese (Clytie Siddall).  Closes: #550858
    - Finnish (Esko Arajärvi).  Closes: #550876
    - Vietnamese (Clytie Siddall).  Closes: #550941
    - Basque (Iñaki Larrañaga Murgoitio).  Closes: #551060
    - Swedish (Martin Bagge).  Closes: #551117
    - Portuguese. Closes: #552166
    - Italian (Luca Monducci).  Closes: #552217
    - Spanish (Francisco Javier Cuadrado).  Closes: #552265
    - Russian (Yuri Kozlov).  Closes: #552463, #547435
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #553033
    - German (Thomas Mueller).  Closes: #553078

 -- Christian Perrier <bubulle@debian.org>  Sun, 01 Nov 2009 11:41:30 +0100

isdnutils (1:3.9.20060704-4) unstable; urgency=low

  * Orphaning isdnutils, as I do not use it anymore in a way to be able to
    properly maintain it.
  * Acknowledge NMU upload.
    closes: #527529
  * Call /sbin/MAKDEV explicitly from ipppd postinst instead of relying on the
    symlink in /dev/, which may not be there if makedev was installed after
    udev was started.
    closes: #542156
  * Renamed /etc/modprobe.d/blacklist-capiutils to blacklist-capiutils.conf to
    avoid warnings from modprobe due to recent changes in module-init-tools.
    closes: #520248
  * Removed / modified calls to log_success_msg with empty strings from
    init.d.functions, as that apparently causes the script to exit, wierd...
    closes: #543567
  * Remodelled isdnutils-base.postinst for checking on non-empty /etc/isdn/.
    closes: #431855
  * Modified / corrected debconf templates.
    closes: #378705
  * Fixed capifax manpage to mention the filename to be sent, and to correctly
    describe how the notification program is called.
    closes: #318930,#353884,#324719
  * Added support for sending to 3.1kHz-only destinations.
    closes: #354830
  * Start isdnutils at sequence 21, so that the makedev script is run
    earlier (S20isdnutils < S20makedev).
    closes: #383992
  * Add support for successful CAPI return codes instead of treating them as
    errors.
    closes: #471600
  * Start isdneurofile at sequence 22, so that the isdnutils script is run
    earlier, at sequence 21 (see above).
    closes: #498943
  * Fixed text typo in init.d/isdnutils.
    closes: #502276
  * Fixed bashism in vboxmail.enhanced script.
    closes: #530106
  * Changed dependency on makdev to "udev | makedev".
    closes: #546872

 -- Paul Slootman <paul@debian.org>  Tue, 15 Sep 2009 17:14:00 +0200

isdnutils (1:3.9.20060704-3.7) unstable; urgency=low

  * Non-maintainer upload.
  * Add bashisms and isdneurofile-bashism to the list of patches to apply.
    - Really closes: #530105, #530980.
  * Bump compat level to five.
  * debian/control:
    + Fix FTBFS, build-depend on xutils-dev. Closes: #527529.
    + Add missing dependency on misc:Depends.
    + Bump versioned dependency on debhelper to match compat level.
    + Remove Paul Slootman from uploaders, already in maintainer field.
  * debian/copyright: refer to the GPL version 2 file.
  * Don't ship var/run/isdnrate/, create it in init script.

 -- Raphael Geissert <geissert@debian.org>  Sat, 04 Jul 2009 12:23:57 -0500

isdnutils (1:3.9.20060704-3.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Add dependencies on makedev to capiutils, ipppd and isdnvboxserver
    (Closes: #502825, #502693)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 20 Oct 2008 23:49:52 +0200

isdnutils (1:3.9.20060704-3.5) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashism in an eurofile script. Thanks to Chris Lamb for the patch
    Closes: #486036
  * Fix pending l10n issues. Debconf translations:
    - Swedish. Closes: #491770

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 Oct 2008 11:46:55 +0200

isdnutils (1:3.9.20060704-3.4) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Portuguese. Closes: #414384
    - Vietnamese. Closes: #478149
    - Finnish. Closes: #478554
    - Basque. Closes: #479521
    - Russian. Closes: #480030
  * [Lintian] No longer ignore errors from "make clean"
  * [Lintian] Make the packages binNMUable by replacing ${Source-Version}
    appropriately
  * [Lintian] Unmark ipppd/ispphone default value for translation
  * [Lintian] Remove configure-generated files in the clean target
  * [Lintian] No longer install an empty usr/include directory
    for libcapi20-3
  * [Lintian] No longer install an empty usr/bin and usr/share/man/man1/
    directory for isdnactivecards
  * [Lintian] make the isdnvboxserver package depends on
    "openbsd-inetd | inet-superserver" as it uses update-inetd in its
    maintainer script(s)
  * [Lintian] Properly spell "Debian" in packages' descriptions
  * [Lintian] Change menu entries to the "Applications/Network/Monitoring"
    section (new menu policy)
  * [Lintian] Properly phrase the description synopsis for isdnactivecards
  * [Lintian] Remove debconf abuse:
    - isdnvboxserver/doityourself
    - isdnvboxserver/spoolcreate
    - isdnvboxserver/vboxcreate
    - isdnvboxserver/adduserdone (that one wasn't even used)
    - isdnvboxserver/adduserfailed (that one wasn't even used)
    - isdnlog/intro
  * [Lintian] Turn some others into "error" type:
    - isdnvboxserver/vboxnodir
    - isdnvboxserver/vboxnouser
    - isdnvboxserver/devfs_inittab
    - isdnvboxserver/devfs_vboxgettyconf
    - ipppd/ispwontdoit
    - ipppd/wrongif
    - ipppd/isploginpapalreadythere
    - ipppd/isploginchapalreadythere
    - ipppd/isploginpapchapalreadythere
    - ipppd/oldipup
    - ipppd/oldipdown
    - ipppd/oldipupdown
    - ipppd/noisdnutilsinit
    - ipppd/isdnutilsinitbad
  * [Lintian] Unmark one template that's for internal use only
    (isdnvboxserver/dummy)
  * [Lintian] Remove pointless preinst script for isdnutils-base
  * Drop a lot of upgrade code from prehistoric versions. That means removing
    isdnutils-base and the relevant templates
  * debian/control, debian/rules: Use automake 1.9 instead of automake
    1.8. (Closes: #474076). Thanks to Eric Dorland for the patch

 -- Christian Perrier <bubulle@debian.org>  Thu, 08 May 2008 08:22:41 +0200

isdnutils (1:3.9.20060704-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Incorporate patch from Martin Guy to fix armel build (closes: #469867).

 -- Colin Tuckley <colint@debian.org>  Mon, 21 Apr 2008 10:40:22 +0100

isdnutils (1:3.9.20060704-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d scripts
    (closes: #464677, #469702)
  * Fixed doc-base files and installation

 -- Peter Eisentraut <petere@debian.org>  Fri, 04 Apr 2008 14:12:10 +0200

isdnutils (1:3.9.20060704-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS because of size_t being undeclared. (Closes: #453165)

 -- Philipp Kern <pkern@debian.org>  Sat, 12 Jan 2008 10:29:12 +0100

isdnutils (1:3.9.20060704-3) unstable; urgency=high

  * Fix critical bug, potential buffer overflow in capi_cmsg2str, patch from
    Ben Hutchings.  closes:#408530
  * Acknowledge NMUs. closes:#392690
  * Galician debconf translated added. closes:#412516
  * Vietnamese updated. closes:#409039
  * Use invoke-rc.d instead of directly calling the init script in
    isdnutils-base.prerm. closes:#396301
  * Remove the explicit sourcing of /usr/share/debconf/confmodule in
    isdnutils-base.postrm, as now the debhelper thing works properly.
    closes:#388610

 -- Paul Slootman <paul@debian.org>  Tue, 27 Feb 2007 16:48:24 +0100

isdnutils (1:3.9.20060704-2.5) unstable; urgency=low

  * Non-maintainer upload to fix remaining l10n issues.
  * Debconf translations:
    - Czech updated. Closes: #408761
    - Dutch updated. Closes: #408074
    - Italian updated 
    - Turkish updated 

 -- Christian Perrier <bubulle@debian.org>  Mon, 29 Jan 2007 10:06:33 +0100

isdnutils (1:3.9.20060704-2.4) unstable; urgency=low

  * Non-maintainer upload to fix a few more l10n issues.
  * Debconf translations:
    - Dutch updated. Closes: #408074

 -- Christian Perrier <bubulle@debian.org>  Sun, 28 Jan 2007 11:55:13 +0100

isdnutils (1:3.9.20060704-2.3) unstable; urgency=low

  * Non-maintainer upload to fix longstanding debconf and l10n issues
  * Run debconf-udpatepo in the clean target to guarantee up-to-date
    PO and POT files in debian/po
  * Debconf templates translations
   - French completed
   - German updated. Closes: #405365
   - Italian added. Closes: #379468
   - French updated
   - Czech added. Closes: #391542

 -- Christian Perrier <bubulle@debian.org>  Thu, 18 Jan 2007 22:47:52 +0100

isdnutils (1:3.9.20060704-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Don't set vboxconfig and spooldir settings in vboxgetty.conf,
    because there are no provisions for honoring user changes to these 
    settings, which is a policy violation.  Closes: #202488.

 -- Steve Langasek <vorlon@debian.org>  Tue,  7 Nov 2006 00:18:58 -0800

isdnutils (1:3.9.20060704-2.1) unstable; urgency=low

  * NMU
  * Move man page to /usr/share. Closes: #391696
  * Improve line wrapping in menu files to avoid confusing linda.

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Oct 2006 16:05:19 -0400

isdnutils (1:3.9.20060704-2) unstable; urgency=low

  * Build for s390.

 -- Matthias Klose <doko@debian.org>  Sun, 16 Jul 2006 22:39:44 +0000

isdnutils (1:3.9.20060704-1) unstable; urgency=low

  * New upstream version.
  * Fix typos in debconf templates. Closes: #350576.
  * Update German, Italian, Swedish debconf translations.
    Closes: #351072, #363099, #348877.
  * isdnvboxclient: Fix dependency on alsa-utils. Closes: #376697.
  * ppp-2.4.4b1.dpatch: Update for the ppp-2.4.4 final release.
  * Update debian/watch.
  * Merge changes from Ubuntu:
    * debian/capiutils.postinst:
      - don't fail if /etc/hotplug/blacklist.d can't be removed
        (broke upgrades)
    * Update blacklist to modprobe format, drop discover data files.
  * debian/device.DEVICE: Set the layer-2/3 protocol right after creating
    the interface; working around a bug/feature in kernel modules "eumex"
    and "eumex_i4l". Ubuntu #28624.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jul 2006 23:05:35 +0000

isdnutils (1:3.8.2005-12-06-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Install files to /usr/bin instead of /usr/X11R6/bin. Closes: #363938.
  * Urgency set to high due to RC Bug fix.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 25 May 2006 23:35:07 +0200

isdnutils (1:3.8.2005-12-06-4) unstable; urgency=low

  * capi20: Regenerate Makefile.in. Closes: #318808.
  * Fix error updating isdnvboxserver. Closes: #346079.

 -- Matthias Klose <doko@debian.org>  Mon,  9 Jan 2006 16:34:22 +0000

isdnutils (1:3.8.2005-12-06-3) unstable; urgency=low

  * Build-depend on imake as first alternative.

 -- Matthias Klose <doko@debian.org>  Fri,  6 Jan 2006 00:15:44 +0000

isdnutils (1:3.8.2005-12-06-2ubuntu1) dapper; urgency=low

  * Build depend on imake instead of xmkmf.
  * Build-depend on libxt-dev instead of xlibs-dev (closes: #345522).
  * Merge some changes from unannounced NMU:
    * Non-maintainer upload (Faidon Liambotis and Marco d'Itri).
    * Use invoke-rc.d in the postinst/preinst/prerm for all packages
      (Closes: #339479).
    * Detect udev by checking /dev/.udev/ instead of /.dev/
      (Closes: #333476)
    * Create /dev/isdnctrl -> /dev/isdnctrl0 softlink.
    * Detect devfs properly. (Closes: #335282)

 -- Matthias Klose <doko@ubuntu.com>  Thu,  5 Jan 2006 23:22:13 +0000

isdnutils (1:3.8.2005-12-06-2) unstable; urgency=low

  * Build-depend on xmkmf.

 -- Matthias Klose <doko@debian.org>  Mon,  2 Jan 2006 00:55:08 +0100

isdnutils (1:3.8.2005-12-06-1) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Dec 2005 01:12:49 +0100

isdnutils (1:3.8.2005-12-06-0ubuntu1) dapper; urgency=low

  * New upstream version.
    - Remove fixes from gcc40-fixes applied upstream.
  * Build-depend on libpcap0.8-dev.
  * pppdcapiplugin: Drop support for ppp versions < 2.4.2.
  * /etc/isdn/init.d.functions: More udev fixes (closes: #333476).
  * isdneurofile postinst: Use invoke-rc.d to start the init script.
    Closes: #339479.
  * /etc/init.d/capiutils: Fix check for mounted devfs (closes: #335282).
  * Depend on debconf-2.0 as an alternative (closes: #331866).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Dec 2005 15:10:56 +0000

isdnutils (1:3.7.2005-07-09-2kanotix1) unstable; urgency=low

  * Added plugin for 2.4.4b1.
  * Changed automake1.6 dep to automake1.7. Closes: #335124.

 -- Joerg Schirottke <master@kanotix.com>  Mon,  5 Dec 2005 11:56:36 +0000

isdnutils (1:3.7.2005-07-09-2ubuntu4) breezy; urgency=low

  * Create more isdn device files on top of udev. Ubuntu #3156.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Sep 2005 09:38:06 +0200

isdnutils (1:3.7.2005-07-09-2ubuntu3) breezy; urgency=low

  * Add new drivers to /etc/isdn/capi.conf (commented out).

 -- Matthias Klose <doko@ubuntu.com>  Wed,  7 Sep 2005 12:14:17 +0200

isdnutils (1:3.7.2005-07-09-2ubuntu2) breezy; urgency=low

  * Don't link against libXp.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Aug 2005 09:17:52 +0000

isdnutils (1:3.7.2005-07-09-2ubuntu1) breezy; urgency=low

  * Remove build dependency on xutils (xmkmf/imake), still broken in breezy.
    Ubuntu 13117.
  * Drop l-k-h build dependency, adjust version requirements for
    xlibs-dev and xutils.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Aug 2005 09:13:26 +0200

isdnutils (1:3.7.2005-07-09-2) unstable; urgency=low

  * Fix typo in debian/rules (closes: #318808).
  * Build-depend on xlibs-dev (>= 6.8.2.dfsg.1-5), xutils (>= 6.8.2.dfsg.1-5)
    to avoid dependencies on selinux.
  * Build-depend on linux-kernel-headers (>= 2.6.13+0rc3-1) to fix FRBFS.
  * Adjust package description of isdnutils (closes: #308714).

 -- Matthias Klose <doko@debian.org>  Sun, 14 Aug 2005 00:15:11 +0200

isdnutils (1:3.7.2005-07-09-1) unstable; urgency=low

  * New upstream version.
  * Change of libcapi20 soname (package name changes from libcapi20-2 to
    libcapi20-3).
  * Build against readline5.
  * Update debian/patches.
  * Apply gcc40 patches, instead of amd64 patches (closes: #302184).
  * Blacklist the hisax and hisax_fcpcipnp drivers for discover as well.
    Closes: #303734.
  * Fix Makefile to correctly configure the eicon subdirectory.
  * isdnlog-data: Install additional holiday files (closes: #311503).
  * init.d.functions: Don't use extended regexp patterns in "find -regex".
    Closes: #314712.
  * Add debian/po/vi.po (closes: #312073).
  * debian/po/de.po: Fix translations (closes: #314033).
  * Add debian/po/cs.po (closes: #317573).
  * Add support for ppc64 (closes: #300438).

 -- Matthias Klose <doko@debian.org>  Thu, 14 Jul 2005 15:24:48 +0200

isdnutils (1:3.6.2005-01-03-5) unstable; urgency=medium

  * Merge Ubuntu diffs:
    - Add udev support (#297539).
    - Use lsb_functions for messages from init.d scripts.
    - mISDN module support in capiutils init.d script.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Mar 2005 00:56:38 +0200

isdnutils (1:3.6.2005-01-03-4ubuntu1) hoary; urgency=low

  * Sync with Debian package.
  * Tighten isdnutils-base's dependency on makedev to correctly create
    ISDN devices (closes: #297539). Ubuntu #3156.
  * Add dependency of isdnactivecards on capiutils (closes: #298004, #300377).
  * Fixes to build on amd64 using gcc-4.0 (closes: #297988).
  * Fix vboxd on little-endian machines (closes: #300977).
  * Use a private IP address for the device.DEVICE template (closes: #301297).
  * debian/HOWTO (CONFIG.gz): Remove paragraph about /etc/init.d/netbase.
    Closes: #240853.
  * Quote ISP login name in secrets and ipppd config files. Closes: #274161.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Mar 2005 19:21:27 +0200

isdnutils (1:3.6.2005-01-03-4) unstable; urgency=medium

  * Add firmware information for recent AVM cards.
  * Build pppdcapiplugin modules for ppp 2.4.3.
  * Build isdnvboxclient for s390 again.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Feb 2005 15:54:59 +0100

isdnutils (1:3.6.2005-01-03-3ubuntu5) hoary; urgency=low

  * /etc/init.d/capiutils: Create capi20 device file, if missing.
    Load mISDN modules defined in /etc/default/capiutils.
  * /etc/default/capiutils: New file.
  * Blacklist the hisax and hisax_fcpcipnp modules, so that the capi
    driver gets used.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  7 Mar 2005 16:59:39 +0100

isdnutils (1:3.6.2005-01-03-3ubuntu4) hoary; urgency=low

  * Create device files in /dev, when udev is running. The old
    ISDN driver isn't aware of sysfs.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  3 Mar 2005 17:36:07 +0100

isdnutils (1:3.6.2005-01-03-3ubuntu3) hoary; urgency=low

  * Fix capiinit/capi.conf patch.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Feb 2005 20:43:19 +0100

isdnutils (1:3.6.2005-01-03-3ubuntu2) hoary; urgency=low

  * Add firmware information for recent AVM cards.
  * Build pppdcapiplugin modules for ppp 2.4.3.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Feb 2005 15:54:59 +0100

isdnutils (1:3.6.2005-01-03-3ubuntu1) hoary; urgency=low

  * Synchronise with Debian.

 -- Matthias Klose <m@klose.in-berlin.de>  Sat, 15 Jan 2005 15:46:00 +0100

isdnutils (1:3.6.2005-01-03-3) unstable; urgency=medium

  * capiinit looks for firmware in /usr/share/isdn/`uname -r` first.
  * update capiinit manpage.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Jan 2005 15:14:11 +0100

isdnutils (1:3.6.2005-01-03-2ubuntu1) hoary; urgency=low

  * Depend on lsb-base, prettify init scripts.

 -- Matthias Klose <m@klose.in-berlin.de>  Sat,  8 Jan 2005 18:03:03 +0100

isdnutils (1:3.6.2005-01-03-2) unstable; urgency=low

  * Compile vbox using -fno-strict-aliasing (closes: #270336).
  * /etc/isdn/capi.conf: Comment out all entries.

 -- Matthias Klose <doko@debian.org>  Sat,  8 Jan 2005 17:13:18 +0100

isdnutils (1:3.6.2005-01-03-1) unstable; urgency=low

  * New CVS snapshot (2005-01-03).
  * Fix imon segfault (Paul Slootman). Closes: #284389.

 -- Matthias Klose <doko@debian.org>  Fri,  7 Jan 2005 05:51:13 +0100

isdnutils (1:3.6.2004-12-19-0ubuntu1) hoary; urgency=low

  * New CVS snapshot (2004-12-19).
  * Split out capiutils package (closes: #108014).
  * Apply patch to build using gcc-4.0 (closes: #286480).
  * Add Italian debconf templates (closes: #286231).

 -- Matthias Klose <m@klose.in-berlin.de>  Sun,  2 Jan 2005 23:16:05 +0100

isdnutils (1:3.3.0.20041110-1) unstable; urgency=low

  * New CVS snapshot (20041110).
  * Remove dependency on libtool-1.4 (closes: #279390), apply fixes
    to build with Xorg (as well as with XFree86). Patch by LaMont Jones.

 -- Matthias Klose <doko@debian.org>  Sun,  5 Dec 2004 12:06:51 +0100

isdnutils (1:3.3.0.20041024-3) unstable; urgency=high

  * pppdcapiplugin: Don't rely on libcapi20-dev beeing installed.
    Closes: #282846.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Nov 2004 00:01:10 +0100

isdnutils (1:3.3.0.20041024-2) unstable; urgency=low

  * Fix pppdcapiplugin dependency.

 -- Matthias Klose <doko@debian.org>  Fri,  5 Nov 2004 23:52:08 +0100

isdnutils (1:3.3.0.20041024-1) unstable; urgency=high

  * New CVS snapshot (20041024).
    - Upstream decided to revert the binary incompatibility introduced
      with the 20040704 versions. Well, interesting.
  * Rename the libcapi20-3 package back to libcapi20-2, packages build-
    depending on the new version should depend on this version of
    libcapi20-dev.
  * Build-depend on libssl-dev.
  * Add fax commands to the isdnactivecards package (closes: #275974).
  * Update dutch debconf translation (closes: #278717).

 -- Matthias Klose <doko@debian.org>  Tue, 26 Oct 2004 06:45:43 +0200

isdnutils (1:3.3.0.20040728-4) unstable; urgency=high

  * Use shlibs info from just built libcapi library (closes: #271615).

 -- Matthias Klose <doko@debian.org>  Tue, 14 Sep 2004 20:11:23 +0200

isdnutils (1:3.3.0.20040728-3) unstable; urgency=high

  * capi20/capidyn.c: Change libcapi soname as well.
  * Fix message in isdnutils-base init script (closes: #270330).

 -- Matthias Klose <doko@debian.org>  Fri, 10 Sep 2004 18:24:18 +0200

isdnutils (1:3.3.0.20040728-2) unstable; urgency=high

  * Put libcapi20 development files into new libcapi20-dev package,
    change libcapi20 soname to libcapi20-3, conflict with existing
    versions of packages depending on libcapi20-3 (closes: #268767).
  * Update debconf translation strings (closes: #268716).
  * Update french debconf translation (closes: #269666).

 -- Matthias Klose <doko@debian.org>  Sat,  4 Sep 2004 08:20:20 +0200

isdnutils (1:3.3.0.20040728-1) unstable; urgency=high

  * NMU.
  * Fix build failure trying to append to /etc/services in install target.
  * Fix build errors with gcc-3.4 (closes: #266523).
  * Clean temporary files in preinst and postinst scripts (closes: #261405).
  * Use better English in ipppd template (closes: #251483).

 -- Matthias Klose <doko@debian.org>  Tue, 24 Aug 2004 19:54:19 +0200

isdnutils (1:3.3.0.20040728-0.1) unstable; urgency=high

  * NMU.
  * Rename libcapi20-2 to libcapi20-3 (closes: #263528).
  * Build capidyn.o using -fPIC on amd64 as well (closes: #260889).

 -- Matthias Klose <doko@debian.org>  Mon,  9 Aug 2004 06:48:24 +0200

isdnutils (1:3.3.0.20040704-0.4) unstable; urgency=low

  * NMU.
  * Don't rebuild capidyn.o on architectures, where it's not built at all.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Jul 2004 21:29:41 +0200

isdnutils (1:3.3.0.20040704-0.3) unstable; urgency=low

  * NMU.
  * Rebuild capidyn.o using -fPIC (closes: #254432).
  * Fix libcapi20.shlibs dependency (closes: #259087).

 -- Matthias Klose <doko@debian.org>  Tue, 13 Jul 2004 06:59:02 +0200

isdnutils (1:3.3.0.20040704-0.2) unstable; urgency=low

  * NMU.
  * Use libtool1.4 for libtoolizing capi20.
  * debian/finish-install-* scripts: set -e.
  * Remove outdated patches to isdnlog/zone files.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Jul 2004 22:34:16 +0200

isdnutils (1:3.3.0.20040704-0.1) unstable; urgency=low

  * NMU.
  * New upstream CVS snapshot.
    - Updated isdnlog to 4.68.
    - ipppd works with 2.6 kernel (closes: #235056).
    - capiutils works with 2.6 kernel (closes: #226211, #253617).
  * Remove Non-free firmware file ISAR.BIN form package (closes: #250479).
  * Convert to debhelper v4.
  * Update config.{guess,sub} from autotools package (closes: #250479).
  * Remove comments building with older compilers.
  * Separate out debian patches into various dpatches.
  * Added tr.po debconf translation (closes: #248336).
  * ipppd/configure: Regenerate (closes: #255885).
  * Use getent(1) in config/install scripts (closes: #248540).
  * /etc/isdn/init.d.functions: Remove tempfile, if no devices configured.
    Closes: #240083.
  * On system start, start isdnactivecards before pppd (closes: #200053).
  * Build shared libcapi libary with -fPIC (closes: #254432).
  * Fix dependencies on virtual packages (closes: #254673).

 -- Matthias Klose <doko@debian.org>  Wed,  7 Jul 2004 08:32:55 +0200

isdnutils (1:3.3-8.1) unstable; urgency=low

  * Updated to CVS snapshot 2004-06-25.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Jun 2004 10:41:41 +0200

isdnutils (1:3.3-8) unstable; urgency=low

  * ipppd: enabled the filter config option.
    closes:#217576
  * isdnvboxserver: use /proc/mounts, not mount command to discover
    whether devfs is in use.
    closes:#221313
  * isdnactivecards: cosmetic fix to init.d script output.
    closes:#225009
  * isdnvboxserver: only strip leading and trailing spaces from the
    debconf password value, not just anywhere, so that the "DES " string
    remains intact.
    closes:#229229
  * isdnlog: check whether isdnutils' init.d script exists before
    attempting to use it in the postinst script
    (the check was already added to the prerm since 3.1pre4-4).
    closes:#233176
  * isdnlog: fix for isdnrep crashing if too many unknown MSNs were in the
    log, causing some leftover debug code to overflow. (not exploitable)

 -- Paul Slootman <paul@debian.org>  Fri,  5 Mar 2004 23:16:07 +0100

isdnutils (1:3.3-7) unstable; urgency=low

  * Updated to CVS version of 2003-12-17 (isdnlog version 4.67 with
    enhancements to isdnrep).
  * Updated fr.po debconf translation.
    closes:#221206
  * Added comment to ipppd.DEVICE default config file that 'defaultroute'
    shouldn't be enabled when working with the standard Debian config setup.
    closes:#221367
  * Build pppdcapiplugin object for /usr/lib/pppd/2.4.2/ as ppp has changed
    yet again.
    closes:#223277
  * Added patch from Adrian 'Dagurashibanipal' von Bidder to let "dialmax 0"
    never give up.
    closes:#219423

 -- Paul Slootman <paul@debian.org>  Wed, 17 Dec 2003 14:04:32 +0100

isdnutils (1:3.3-6) unstable; urgency=low

  * Fix building problem, caused by change in the libc6 headers, which are now
    in the linux-kernel-headers package, and which are now based on the 2.6
    kernel ;-(  Nice job, such a major change which will break lots of things
    while we're trying to get stuff ready for a release...
    Include linux/{capi.h,isdn.h,kernelcapi.h} header files (with minor
    changes) into the source.
    closes:#220915

 -- Paul Slootman <paul@debian.org>  Sun, 16 Nov 2003 13:39:30 +0100

isdnutils (1:3.3-5) unstable; urgency=medium

  * workaround for start-stop-daemon's bug of doing chdir / ;
    pass the entire path of the config file to ipppd.
    closes:#218751,#218885
  * marked urgency=medium as this situation leads to ipppd being unusable for
    people who have also upgraded dpkg.
  * New nl.po file from translators.

 -- Paul Slootman <paul@debian.org>  Mon,  3 Nov 2003 09:13:42 +0100

isdnutils (1:3.3-4) unstable; urgency=medium

  * Added Build-depends on automake1.4, as on m68k the build failed because it
    wasn't there (although all other architectures had succesfully built
    without it; it wasn't there on my own system either...)  Too bad m68k's
    build daemon also seems to be the slowest :(
  * Still urgency=medium to enable a fixed ppp package to move to testing
    soon.

 -- Paul Slootman <paul@debian.org>  Fri, 17 Oct 2003 09:17:58 +0200

isdnutils (1:3.3-3) unstable; urgency=medium

  * Rebuild for urgency=medium, which was lost when I fixed 215795.  As this
    is for an RC bug #213216 (and to enable a fixed ppp package to go into
    testing) I feel it warrants a new upload. See changelog for 1:3.3-1 for
    details.

 -- Paul Slootman <paul@debian.org>  Wed, 15 Oct 2003 08:21:23 +0200

isdnutils (1:3.3-2) unstable; urgency=low

  * remove libxaw-dev alternative from build deps, as that virtual package
    apparently has gone away... closes:#215795

 -- Paul Slootman <paul@debian.org>  Tue, 14 Oct 2003 21:50:54 +0200

isdnutils (1:3.3-1) unstable; urgency=medium

  * Now pppdcapiplugin supports pppd 2.4.2b3 (hence urgency: medium)
    closes:#213216
  * CVS version of 2003-10-14
  * Updated Standards-version to 3.6.1
  * Don't attempt to restart running isdnlog during install phase, doesn't
    make much sense in a package-building environment...
  * Change ipppd's suggests: dnrd to pdnsd.
    closes:#203762
  * Don't use 10.0.0.1 as default IP number in ipppd example (use
    gluck.debian.org's address as suggested by the bug report, as I don't
    expect that ipppd will be installed on gluck :)
    closes:#208074
  * Fixed init.d script to display the parm which is actually wrong.
    closes:#213009
  * Check for isdnvboxserver being installed or not fixed in cron.weekly
    script, as vbox3 provides the same binary as was being checked on. Sigh...
    closes:#204436
  * Don't try to call init.d/isdnutils script from isdnlog's postinst if it
    doesn't exist (yet).
    closes:#186982
  * Corrected location of README.HiSax file in init.d.functions.
    closes:#193647
  * Corrected location of calls log file as used in isdnbill.
    closes:#185121
  * Elaborated a bit in the long description of isdnlog-data and isdnlog-doc.
  * Added manpage for isdnbill.

 -- Paul Slootman <paul@debian.org>  Tue, 14 Oct 2003 14:47:02 +0200

isdnutils (1:3.2pre3-4) unstable; urgency=low

  * Build vbox with tcl8.3 instead of tcl8.4 because 8.4 has problems with
    threading in combination with exec, resulting in no email being sent when
    a message is received. closes:#194541,#198157
  * The check on needing ipppd in the isdnutils-base preinst script only runs
    if the previously installed version was from before ipppd was a separate
    package. Also make the message given otherwise more verbose (despite the
    debconf critical note that's already given).  closes:194853
  * Debconf templates are now gettext-based, thanks to a patch from Christian
    Perrier. closes:#201790

 -- Paul Slootman <paul@debian.org>  Mon, 21 Jul 2003 10:00:22 +0200

isdnutils (1:3.2pre3-3) unstable; urgency=low

  * Sigh, forgot to change invocation of gcc on powerpc...
    As gcc-2.95 apparently isn't used on powerpc anymore, the special case for
    powerpc can be removed. closes:#193226

 -- Paul Slootman <paul@debian.org>  Thu, 15 May 2003 14:35:11 +0200

isdnutils (1:3.2pre3-2) unstable; urgency=low

  * Changed Build-Depends on gcc-3.0 for powerpc to gcc-3.2, as 3.0 doesn't
    seem to be available in unstable for powerpc.

 -- Paul Slootman <paul@debian.org>  Tue, 13 May 2003 10:22:04 +0200

isdnutils (1:3.2pre3-1) unstable; urgency=low

  * Updated to 3.2pre3 upstream (CVS) version of 2003-03-11
  * Fixed locations where capiinit seaches for files. closes:#171442,#173614
  * Fixed isdnvboxserver config script for when an empty string is given for
    the MSN in debconf. Thanks to Peter Palfrader for the patch.
    closes:#170066
  * Changed Build-Depends on libxaw-dev to libxaw-dev|libxaw7-dev
    closes:#169978
  * Changed Build-Depends on libncurses4-dev to libncurses5-dev,
    tcl8.3-dev to tcl8.4-dev
  * Fixed typo in init.d.functions concerning README.Debian.  closes:#170446
  * isdnctrl will now readconf / writeconf from / to stdin / stdout if "-" is
    given as the filename.
  * Ran aclocal in capi20 directory, which should help building elsewhere.
    Hopefully closes:#171626
  * Rehashed the automake / autoconf stuff in vbox, replaced "missing" here
    and there where configure was running it in a new and different way...
  * For vboxgetty, check that the inittab entry uses a devfs-compatible name
    if devfs is in use, and vice versa. Ditto for vboxgetty.conf.
    closes:#172170
  * isdnctrl status all won't attempt to show non-ISDN interfaces.
  * isdnctrl status active only lists those interfaces that are connected.
  * xisdnload patch from Stephan Boettcher applied for handling interfaces
    that are in dialmode manual.

 -- Paul Slootman <paul@debian.org>  Sat, 10 May 2003 12:22:39 +0200

isdnutils (1:3.2pre1-4) unstable; urgency=low

  * Added mru setting of 1524 to default ipppd config file,
    sometimes this is needed apparently with some dialin routers.
  * Changed checking of md5sum in isdnutils-base.preinst as there are
    apparently different versions of md5sum out there that use different
    output formats...

 -- Paul Slootman <paul@debian.org>  Mon, 30 Dec 2002 12:26:29 +0100

isdnutils (1:3.2pre1-3) unstable; urgency=low

  * Added conflicts: libcapi20 to libcapi20-2. closes:#169615
  * Move libcapi20.so.2.0.7 to libcapi20-2.so.2; this was screwed up because
    2.0.6 became 2.0.7.   closes:#169616
  * Updated the autoconf stuff in capifax/. closes:#169566

 -- Paul Slootman <paul@debian.org>  Mon, 18 Nov 2002 20:40:51 +0100

isdnutils (1:3.2pre1-2) unstable; urgency=low

  * Fixed isdnactivecards dependency on libcapi20 (should have been
    libcapi20-2). closes:#169218
  * Now the ipppd debconf will also not touch anything if the ISP phone number
    is set to "manual". Normally this isn't necessary, as the preceding
    question ("which interface to configure") also allows an escape. But
    perhaps some people only read the instructions on the second question :-)
    Unfortunately another part of bug 154836 ("upgrade should not restart the
    isdn connections") can't be helped when upgrading from the 3.0 series, as
    upgrading first calls the old (3.0) prerm script, which stops the
    connections...
    closes:#154836
  * Removed -u option from aplay invocation in vboxplay. closes:#165757
  * Added automake1.6 to build-deps which should help, until I've had time to
    look closer. closes:#167376

 -- Paul Slootman <paul@debian.org>  Fri, 15 Nov 2002 16:28:56 +0100

isdnutils (1:3.2pre1-1) unstable; urgency=low

  * Dedicated to Vista. RIP.
  * Updated to CVS version of 2002-10-08. closes:#159151
  * upstream change to capi20.c closes:#152559
  * Package libcapi20 renamed to libcapi20-2 on advice of the lib guru Junichi
    Uekawa. closes:#147740
  * Applied supplied patch to xmonisdn. closes:#154586
  * Fixed reference to HOWTO doc, closes:#160754
  * Reinstated the http://people.debian.org/~paul/isdnutils/ page.
    closes:#157146
  * Changed the setting of the default route (in /etc/ppp/ip-{up,down}.d/)
    from "route add default netmask 0 $PPP_IFACE"
    to   "route add default netmask 0 gw $PPP_REMOTE".
    Apparently the former confuses the hell out of free-swan...
    closes:#160867
  * Updated autovbox manpage as per hints from esr. closes:#153952
  * (repeated, as 1:3.1pre4-6 wasn't released)
    imon, imontty: set stdio buffer for /dev/isdninfo explicitly to 2048, as
    on some systems it apparently is 1024 (why?), and the isdninfo driver
    doesn't handle partial reads; with more than one channel connected, a line
    > 1024 is generated...  closes:#148868

 -- Paul Slootman <paul@debian.org>  Tue,  8 Oct 2002 10:04:58 +0200

isdnutils (1:3.1pre4-6) unstable; urgency=low

  * Updated to CVS version of 2002-07-17
  * imon, imontty: set stdio buffer for /dev/isdninfo explicitly to 2048, as
    on some systems it apparently is 1024 (why?), and the isdninfo driver
    doesn't handle partial reads; with more than one channel connected, a line
    > 1024 is generated...  closes:#148868
  * imon: explicitly write spaces everywhere so that the colour attributes are
    set correctly, it looked really ugly with non-standard colours otherwise.
  * isdnlog: postinst script could mess up when editing the location of the
    isdnrate socket.

 -- Paul Slootman <paul@debian.org>  Mon, 15 Jul 2002 14:04:12 +0200

isdnutils (1:3.1pre4-5) unstable; urgency=low

  * Updated to CVS version of 2002-07-04
  * ipppd: applied patch supplied by Emmanuel Charpentier, which backports the
    MS-CHAP implementation from pppd-2.4.1 to ipppd. This means ipppd now also
    supports MS-CHAP without the need for libdes.
  * isdnvboxserver: when creating the spool directory, also create the
    necessary subdirectories and copy the standard.tcl there. This is
    necessary for operation...
  * isdnvboxserver: new and improved vboxmail script, now optionally sends the
    recorded message by email, thanks to Tobias Geiger. For now the script
    resides in /usr/share/doc/isdnvboxserver/vboxmail.enhanced, as it needs
    sox and mime-construct (and ideally an MP3 encoder), but I don't want to
    let isdnvboxserver depend on those. The user can copy this script to
    /etc/isdn/vboxmail .
  * isdneurofile: Added README.Debian to inform the user about necessary
    kernel options for this package.
  * ipppd: check whether running the init script gives errors. closes:#145883
  * ipppd: escape @ in login name when inserting into ipppd.ipppX file with
    perl, as perl otherwise interprets the @ as an array indicator.
    closes:#150230
  * isdnutils-xtools: prevent initial spike when starting xisdnload when the
    system has been online for some time. closes:#149392
  * isdnlog: added a logrotate.d entry for /var/log/isdn/isdnlog.
    closes:#148689
  * isdnutils-base: If a 3.0-something isdnutils postrm still exists, fix it
    so that purging isdnutils won't forcibly remove /etc/isdn, /var/lib/isdn
    etc.  This is a possible scenario if someone upgrades to isdnutils-base,
    ipppd by hand and then does dpkg --purge isdnutils. DAMHIKT. Modifying the
    old postinst is terrible, but it's the only viable option AFAICS.
  * isdnlog: added an option for starting isdnrate as a daemon. This is asked
    via debconf (priority low), and the actual control is in the file
    /etc/isdn/isdnrate.conf Also changed the default socket for isdnrate from
    /tmp/isdnrate to /var/run/isdnrate/socket.  closes:#144899
  * isdnlog: control file had two dependency lines, which resulted in only the
    last line being used, thus losing the dependency on isdnutils-base.
    closes:#151924

 -- Paul Slootman <paul@debian.org>  Thu,  4 Jul 2002 19:37:49 +0200

isdnutils (1:3.1pre4-4) unstable; urgency=high

  * Fixed ipppd debconf config file (typo, triggered whenever there's no
    interface configured yet, which screws it up for fresh installs, hence the
    urgency: high, as I don't want the bad version to be released with woody.
    No other significant changes made...  closes:#144414
  * Updated Catalan translations.         closes:#142785,#142786
  * Updated descriptions (fix mistakes).  closes:#142690

 -- Paul Slootman <paul@debian.org>  Thu, 25 Apr 2002 10:16:45 +0200

isdnutils (1:3.1pre4-3) unstable; urgency=low

  * Make it configurable what ippp interface is configured by debconf, this
    time properly. Argh.

 -- Paul Slootman <paul@debian.org>  Fri,  5 Apr 2002 20:36:04 +0200

isdnutils (1:3.1pre4-2) unstable; urgency=low

  * Fixed typo in capiutils.h (HAS_UINT8_t is now HAS_UINT8_T). Also include
    stdint.h conditionally (needed for the special types).  closes:#139460
  * Handle cron.weekly/isdnvbox script, which was the original isdnutils cron
    script which was renamed in early versions of 3.1pre1b, and NOT renamed
    when isdnvbox was split up :-(  If the md5sum is unchanged, it is deleted;
    if it is changed, a debconf message is shown. Same for
    cron.weekly/isdnutils for those cases where the upgrade from 3.0 is taking
    place.
  * Fixed handling of isdnvboxd password, to prevent special chars in it from
    messing up with the shell (i.e. escape certain characters with
    backslashes). This was the trigerr for report #139653
  * Modified vboxd.c so that DES-encrypted passwords (like what you may find
    in /etc/passwd) can be used in vboxd.conf. Passwords asked by debconf will
    then be crypted and put into the password field as "DES sszyxwvutsrqp".
    closes:#139653
  * Added Catalan translations (wow), thanks to Antoni Bella
    <bella5@teleline.es>. closes:#140197,#140198,#140199,#140200
  * Updated French translations. closes:#140382
  * Make it configurable what ippp interface is configured by debconf.
    closes:#135761
  * Only reset the default route in the ip-down.d script if the default route
    is over "this" interface. closes:#139702
  * Depend on at least version 2.3.1-58 of makedev. closes:#141163
  * Updated KPN rates for NL
  * Wrote manpages for divaload, divalog, divalogd, mkzonedb, eftp, eftd,
    capifax, capifaxrcvd, rcapid, capiinit.  Pfff....

 -- Paul Slootman <paul@debian.org>  Thu,  4 Apr 2002 15:18:51 +0200

isdnutils (1:3.1pre4-1) unstable; urgency=low

  * New (sort of) upstream version.
  * This also means new firmware code for Eicon active cards.
  * Added dependency on sox | nas-bin | alsautils instead of just a recommends
    for sox. closes:#135160
  * Also accept an empty string for the isdnvboxserver phonenumber to let the
    user do it by hand. closes:#126159
  * Make isdnvboxserver depend on debconf >= 0.5. closes:#137873
  * Build depends changed: sgml-tools -> linuxdoc-tools-text.  Grrrrrrr.
  * Check in isdnvboxserver debconf config that the homedir for the given
    daemon user exists. Check again in the postinst, and this time use the
    correct template to give the error message...
  * In ipppd debconf, also add question for local MSN (at priority medium).
  * Escape any quotes in the ipppd ISP password in ipppd.postinst
  * For some reason I moved isdnlog's pid file from /var/run/ to /var/lock/.
    /var/run of course is the correct location; there's also / already a
    lockfile for the device isdnlog uses in /var/lock/.
  * Change default isdnlog config file to say "daemon=yes", so that it will
    detach itself from the running tty (I would have thought that
    start-stop-daemon would have done that, by the way...)  Also added the
    -D option where isdnlog is started in /etc/isdn/init.d.functions to force
    the daemon mode, useful for existing installations.
    I thought I had done the change in the config file already, but I can't
    find any trace of it :-(
  * Split the German debconf translations into *.debconf.de
  * Added Dutch debconf translations, left them in *.debconf as I'm upstream
    for both the English and Dutch texts.
  * Added new French debconf translations thanks to Philippe Batailler
    <pbatailler@teaser.fr>. closes:#139277
  * Removed a space from a couple of echoes for cosmetic reasons in the init.d
    script. closes:#139376

 -- Paul Slootman <paul@debian.org>  Thu, 21 Mar 2002 20:25:51 +0100

isdnutils (1:3.1pre1b-30) unstable; urgency=low

  * Split off part of the moving around etc. of files in the install phase of
    debian/rules. This makes it easier to handle the situation where on
    architectures without isdn4linux hardware support, only isdnvboxclient is
    built.
  * Add xisdnload app-defaults to list of conffiles. (No bug was reported :-)
    Also added a preinst and postinst to preserve the existing add-defaults.
    Hmm, waited too long with the upload, some smartass submitted a bug after
    all, also for isdneurofile, pppdcapiplugin. closes:#132807,#132809,#132816
  * Changed cisco_h and cisco_hk to cisco-h and cisco-hk respectively in the
    isdnctrl(8) manpage. Also modified isdnctrl(8) so that it will accept
    cisco_h and cisco_hk as aliases for cisco-h and cisco-hk. closes:#132723
  * Updated rate-nl.dat for KPN, Tele2, One.Tel

 -- Paul Slootman <paul@debian.org>  Mon, 11 Feb 2002 14:39:41 +0100

isdnutils (1:3.1pre1b-29) unstable; urgency=low

  * Updated to current CVS version.
    This includes euro support for isdnlog, closes:#128870
    As of this time, the German and Dutch rate.conf files are updated with
    EURO amounts; the isdn.conf file should show EUR as the currency.
    closes:#131894
  * Update German isdn.conf file to include 01900 in VBN
  * Update German rate.conf file to add new providers.
  * Updated isdnlog(5) manpage, closes:#127202
  * Updated isdn.conf(5) manpage to clarify VBNLEN, closes:#131864
  * There was one place in init.d.functions that wasn't devfs-compliant due to
    a thinko on my part. closes:#131109
  * On those architectures that don't need kernel source, don't check for that
    kernel source. Also only list kernel source as a build dep for those
    architectures that need it (i.e. those that may have ISDN4Linux hardware).

 -- Paul Slootman <paul@debian.org>  Wed, 30 Jan 2002 17:38:48 +0100

isdnutils (1:3.1pre1b-28) unstable; urgency=low

  * Fixed some typos in package descriptions.
    closes:#124764,#124765,#124765,#124766
  * ipppd postinst for "automatic" configuration had some quoting problems,
    giving a syntax error in some cases.
  * Try to prevent isdnvboxserver's debconf questions from being asked twice.
    closes:#126062
  * Made isdnconfig compatible with ash. closes:#124625
  * Made /etc/isdn/stop script a little friendlier; in particular, removed the
    reboot option and added syslogging. closes:#120683
  * Remove bogus reference to /etc/init.d/isdnlog in comment(!) from
    /etc/init.d/isdnutils. closes:#126132
  * Fixed permissions on vboxd.conf (600, root) to prevent password that's
    in there from being readable by just anyone.

 -- Paul Slootman <paul@debian.org>  Sun, 30 Dec 2001 17:04:52 +0100

isdnutils (1:3.1pre1b-27) unstable; urgency=low

  * Updated isdnutils-base HOWTO (debian.org link fixed),
    and README.Debian reinstated.  closes:#118688
  * Minor README fix for pppdcapiplugin. Also committed to upstream version.
    closes:#118689
  * Added German parts to the isdnutils-base template file, courtesy of
    Sebastian Feltel <sebastian at feltel.de>.   closes:#118957
  * Added simple ISP configuration to debconf of ipppd, which just uses phone
    number, username and password. It creates and configures device.ippp0 and
    ipppd.ippp0 if they don't exist, and enters the password into pap-secrets
    and chap-secrets. This should be enough for most ISPs.
  * Made the isdnutils.postinst script a bit more robust. closes:#119625
  * Fixed D-channel logging for isdnlog with more than one card.
    init.d.functions was updated for this.  closes:#121609
  * Changed default ringtimeout for vboxgetty in the code to 6 seconds.
    vboxgetty now also checks for a sane value of ringtimeout as set in the
    vboxgetty.conf file, and logs a warning if it's less. closes:#122876

 -- Paul Slootman <paul@debian.org>  Sat,  8 Dec 2001 13:21:00 +0100

isdnutils (1:3.1pre1b-26) unstable; urgency=low

  * When starting a device (interface), first check whether the interface
    happens to already exist; if so, try to stop it first. However,
    don't consider failure to start a device (interface) a fatal error;
    give a warning instead and carry on. closes:#115542
  * When ipppd checks for PPP availability, now check all devices given as
    options until one is found where the test succeeds; otherwise, if a slave
    device name is given first, the test would fail. closes:#116094
  * Fixed ipppd so that it doesn't insist on ioptions existing (even though
    it's recommended that that file shouldn't be used in the docs, which was a
    confusing situation).
  * isdnlog tries to log to a file in /var/lib/isdn/ by default, but that
    directory wasn't included in the .deb. Thanks to Philipp Kamps for
    pointing this out.
  * Updated source to current (20011025) CVS version:
    - FAQ
    - capiinfo manpage
    - capiplugin
    - isdnlog rate-de.dat, isdnlog SQL output, zonefile generation,
      CDB fix.
  * Added README.multiple-ipppd for the ipppd package which explains how to
    use different interfaces for different ISPs and how to switch between
    them.

 -- Paul Slootman <paul@debian.org>  Thu, 25 Oct 2001 09:10:44 +0200

isdnutils (1:3.1pre1b-25) unstable; urgency=low

  * Fixed stupid editing error in isdnvboxserver.config. closes:#115407
  * Updated dutch KPN rates (isdnlog-data).

 -- Paul Slootman <paul@debian.org>  Sat, 13 Oct 2001 11:32:28 +0200

isdnutils (1:3.1pre1b-24) unstable; urgency=high

  * Urgency high, because fixed version still not in testing.
  * Reformatted description for isdnutils-base (and some others).
    closes:#114870
  * Add a default rate.conf for isdnlog, for those countries that
    don't yet have a dedicated one. For this, isdn.conf was modified, and
    rate-default.dat, holiday-default.dat were created, and
    zone-default.cdb is created.
    closes:#113393
  * isdnvboxserver.postinst used killall unconditionally. Now try to use it,
    if that fails, use the pid files in /var/run to kill any vboxgetty's.
    Modified the init.d.functions file similarly.
  * Changed priority of debconf questions for isdnvboxserver daemonuser to
    critical, as this absolutely needs to be edited.
  * Be less verbose when reloading daemons (in /etc/init.d/isdnutils)
  * Tried to make isdnvboxserver.postinst a bit more idiotproof. Also force
    the first isdnvboxserver question to be asked again, as that's pretty
    critical for the rest. Hopefully closes:#115153

 -- Paul Slootman <paul@debian.org>  Wed, 10 Oct 2001 09:59:56 +0200

isdnutils (1:3.1pre1b-23) unstable; urgency=high

  * isdnutils finally made it to testing! Of course that means a new set of
    bad upgrading problems has been discovered (hence urgency=high).
  * There was no cleaner way of smoothly handling upgrades, so I've added a
    transitional package "isdnutils" that depends on the major component
    packages. What up to now (1:3.1pre1b-1 - 1:3.1pre1b-22) was known as
    isdnutils is now called isdnutils-base. Now to get the various depends /
    conflicts things right for the brave people who had already been tracking
    unstable, and already had 1:3.1pre1b installed...
    closes:#113021
  * When upgrading from 1:3.0-20, the test for ipppd doesn't work if you don't
    use dselect to upgrade; apt-get doesn't set the selection flag in dpkg's
    database. Grep debconf's config.dat for ipppd/ as a (dirty) workaround if
    ipppd isn't listed as to-be-installed by dpkg -l.
  * If the test for ipppd fails, restart the (old) isdnutils as the old
    prerm script stops them when upgrading. Someone will complain that they
    weren't running beforehand, but that's tough, sometimes a decision needs
    to be made. Hence that's at most a "won't fix" wishlist bug.
  * The postinst scripts for isdnutils and ipppd need a "db_stop" to prevent
    hanging after the daemons are started. They're only stopped and started
    when upgrading from pre-1:3.1pre1b ...
  * Ignore errors from "/etc/init.d/isdnutils start" in the isdnutils postinst
    as it will give an error also if the daemons are still/already running.
  * Depend on makedev, as apparently that isn't an essential package. Strange.
    closes:#112874
  * As this is now in isdnutils, the bug asking for the new version in testing
    can be closed: closes:#82082
  * Added a Depends: libcapi20 for pppdcapiplugin, as the plugin most
    certainly needs it.

 -- Paul Slootman <paul@debian.org>  Fri, 21 Sep 2001 14:17:44 +0200

isdnutils (1:3.1pre1b-22) unstable; urgency=low

  * Run 'libtoolize --force --copy' in capi20/ to satisfy powerpc. This
    apparently was needed suddenly (although nothing had changed in isdnutils).
  * Changed isdnlog-data's dependency on isdnlog to a recommends, as otherwise
    isdnlog-data is uninstallable on those arches where isdnlog isn't built.
    Why you would want to have isdnlog-data on those architectures anyway is a
    mystery to me, but that's the way the release management insists on having
    it. I hope that isdnutils now FINALLY makes it into "testing".
  * Changed isdnlog's relation to isdnlog-data to "Depends" instead of
    "Recommends" while I'm at it. Isdnlog won't work without the data.

 -- Paul Slootman <paul@debian.org>  Sun, 16 Sep 2001 13:58:21 +0200

isdnutils (1:3.1pre1b-21) unstable; urgency=low

  * Fixed silly segv in vboxgetty. closes:#110964

 -- Paul Slootman <paul@debian.org>  Sun,  2 Sep 2001 20:04:53 +0200

isdnutils (1:3.1pre1b-20) unstable; urgency=low

  * isdnlog install target would try to append to /etc/services if no entry
    for "isdnlog" was found. Normally not a problem, with a chrooted build
    daemon it is. Now make sure it's relative to $DESTDIR. closes:#110355
  * isdnconfig script now doesn't offer ipppd if that's not installed; a
    warning about this is given instead ("you need the ipppd package").
    closes:#88824
  * Added German text to ipppd.templates,
    thanks to Michael Bramer <grisu @ debian.org>. closes:#106606

 -- Paul Slootman <paul@debian.org>  Tue, 28 Aug 2001 14:49:52 +0200

isdnutils (1:3.1pre1b-19) unstable; urgency=medium

  * Set the linux/include/asm link correctly in the tree extracted from
    kernel-source package. This probably solves point 2 in the changelog entry
    for 1:3.1pre1b-17 (the kernel source needs to be configured first on
    powerpc), this apparently affected more than just powerpc. Strange,
    however, that the kernel source comes with the link preconfigured for i386
  * Only do the linux kernel source stuff on linux systems. Duh.
  * Changed build-depends kernel-source-2.2.19 -> kernel-source-2.4 to
    accomodate the new architectures.
  * Fixed imon for devfs. closes:#109609

 -- Paul Slootman <paul@debian.org>  Sat, 25 Aug 2001 11:26:44 +0200

isdnutils (1:3.1pre1b-18) unstable; urgency=low

  * Added ia64 to the list of architectures for all packages.
    It builds, so ship it :-)  Seriously, I see no reason why it shouldn't
    work.
  * Hacked a string in vbox/src/{log.c,vbox.c} that might be interpreted as a
    trigraph.  I hate trigraphs.
  * Added some #include <stdlib.h> to the cdb*.c files to declare exit() etc.
  * Fixed screwup in ipppd/auth.c related to dereferencing network IP number
    as a pointer to an uint32_t. Yuck. Also forwarded upstream to PPP people.
  * Fixed isdnlog/tools/dest/makedest so that it doesn't output line numbers
    while processing the data, if stdout is not a TTY. This saves space in
    the buildlog... Ditto for isdnlog/tools/zone/mkzonedb.c
  * Added a missing endpwent() call which caused isdnlog to keep /etc/passwd
    open. Also closed stdout, stderr in isdnlog while I was at it.
  * Solved a potential problem when the vbox password contained a comma, which
    conflicted with the perl stuff... Also made a note in the debconf template
    that : shouldn't be used (as that's the field separator in the file)
  * Added mips, mipsel to list of supported architectures, as it apparently
    builds fine. closes:#109210
  * Updated rate-nl.dat to reflect new NL rates (duh)

 -- Paul Slootman <paul@debian.org>  Fri, 17 Aug 2001 11:39:12 +0200

isdnutils (1:3.1pre1b-17) unstable; urgency=high

  * Urgency high, as this fixes a grave bug (segv in pppd), and should
    allow it to (finally!) build on powerpc
  * Apparently the kernel source that's used needs to be configured first
    on powerpc, otherwise it will compile fine, but e.g. isdnctrl will use
    the wrong structs or so (at least, it can't access any data via ioctl).
    Thanks to Alain Schroeder <alain@parkautomat.net> for figuring this out.
  * Use gcc 3.0 on powerpc, otherwise the compiler segfaults when doing
    capi20. Also figured out by Alain.
  * symlink libcapi20.so to libcapi20.so.2 . closes:#108013
  * in xmonisdn/Makefile.in, build target xmonisdn.man before xmonisdn.
    Don't ask why; since XFree 4.1.0 this is needed?!
    Also removed if statement from rules, as that somehow always was evaluated
    to false in sid environment (not in testing, where it was always true!)
    closes:#107902
  * "FIRMWARE=$firmware" should have been "firmware=$firmware" in
    isdnutils.postinst . Now it is. Also move firmware.conf out of the way if
    debconf now tells us there's no firmware to be loaded. Partly bug #107842
  * In isdnutils.postinst, remove bogus "none," prefix from firmware value
    stored in debconf. This is caused by the wrong debconf template before
    version -11. Other part of 107842, hence: closes:#107842
  * Made the hisaxctrl manpage a bit clearer about devfs and firmware.
  * Enclosed the $oldpwd in   cd $oldpwd   in quotes (in init.d.functions),
    otherwise the cd fails when $oldpwd contains spaces. Sigh...

 -- Paul Slootman <paul@debian.org>  Thu, 16 Aug 2001 18:35:40 +0200

isdnutils (1:3.1pre1b-16) unstable; urgency=high

  * Urgency high, as this fixes two important bugs (ash and devfs related).
  * Filename for ippp device as passed to ipppd in init.d.functions didn't
    cope with devfs. closes:#107715
  * Dotting in a shell code fragment needs the file to either be in PATH or
    the filename to contain a slash. This is another one of those special
    features of ash that has been inflicted upon us. closes:#107745
  * Determining the linux source dir was screwed up for hurd.
  * Fixed instances of "echo -e"; now it's "/bin/echo -e" which always
    understands -e (ash's echo used to, now it doesn't; and it's not in
    POSIX).
  * Added powerpc again, as someone again managed to inflict some RC bugs on
    isdnutils preventing the previous version from entering testing. I've
    found that powerpc can't compile the capi20 code, so powerpc will have to
    do without all capi-related packages. The main stuff can go in though.
    BREAKING NEWS: according to Alain Schroeder <alain@parkautomat.net>, it
    compiles fine on powerpc when using gcc 3.0. He's volunteering to build
    the powerpc stuff for now, kudos to him!

 -- Paul Slootman <paul@debian.org>  Mon,  6 Aug 2001 18:20:50 +0200

isdnutils (1:3.1pre1b-15) unstable; urgency=high

  * Removed powerpc from architecture list, as apparently powerpc isn't able
    to compile isdnutils since end of 1999; and it's now holding up isdnutils
    from entering testing (which sucks). (The problem is a internal compiler
    error, hence not isdnutils' fault nor under isdnutils' control.)
  * Urgency "high", as the previous version was only held up by powerpc;
    no other problems nor no other changes, so I'd like isdnutils into
    testing ASAP.

 -- Paul Slootman <paul@debian.org>  Thu,  2 Aug 2001 19:08:58 +0200

isdnutils (1:3.1pre1b-14) unstable; urgency=low

  * Updated pppdcapiplugin (capiplugin.c) to current CVS:
    'with the persit option enabled, the pppd will not reset the errorcode
     variable "status" resulting in a disconnect immediatly after trying to
     setup the connection'
  * Updated ipppd (auth.c) to current CVS:
    'loop never executed - this was the reason that droping a slave could
     remove the complete ip setup'
  * Build failed to properly find / unpack kernel sources. The way that is done
    is now changed (and the link is made in the package source's top dir, not
    in the parent dir). If the kernel source link is not properly made, the
    build should stop at once, instead of limping along...  closes:#106713
  * Install a symlink from vboxcnvt to rmdtovbox as well (the rmdtovbox manpage
    was installed, but not the executable).
  * debug message "End of audio data" now doesn't print the errno message by
    default; now only when necessary.
  * -13 is an unlucky number anyway :-)

 -- Paul Slootman <paul@debian.org>  Fri, 27 Jul 2001 11:48:03 +0200

isdnutils (1:3.1pre1b-13) unstable; urgency=low

  * Restructured the isdnvboxserver.config debconf script. It did Bad Things
    in some cases. Also rearranged isdnvboxserver.postinst a bit for this.
    closes:#106516
  * isdnvboxserver will now always configure /var/spool/vbox/ttyI* as the
    spool directory, i.e. using the name of the device as the dir name. This
    makes it all a bit more logical. This also means that the postinst has to
    check for all possible old situations, and try to clean it up.
  * Eek, isdnutils.postinst barfed with a dpkg-reconfigure due to 2 typos.
  * ipppd package now also asks the silly question.

 -- Paul Slootman <paul@debian.org>  Wed, 25 Jul 2001 11:51:18 +0200

isdnutils (1:3.1pre1b-12) unstable; urgency=low

  * Add silly question to isdnutils debconf whether it's allowed to create the
    ISDN devices. This to comply with the silly policy (see #106280).
    closes:#105620
  * Some people actually delete init.d scripts, figure that. Work around that
    for ipppd which uses init.d/isdnutils. closes:#106263
  * If /dev/isdninfo and /dev/isdn/isdninfo both don't exist (when accessed
    from /etc/isdn/init.d.functions) then it's probably a devfs system and no
    ISDN module is loaded. Detect this. closes:#100881
  * Changed 'text' to 'note', as instructed by Joey 'debconf' Hess.
    closes:#106337,#106338

 -- Paul Slootman <paul@debian.org>  Mon, 23 Jul 2001 19:46:18 +0200

isdnutils (1:3.1pre1b-11) unstable; urgency=low

  * Add arm and m68k to the architecture list, as it apparently builds fine
    there. closes:#105319
  * Call MAKEDEV also in ipppd.postinst, if isdninfo device entry doesn't
    exist. Or should ipppd predepend on isdnutils... closes:#100881
  * fixed mistake in generated firmware.conf scriptlet
    ($1 should be $# in -lt test) closes:#100750
  * Fixed template for isdnutils. Choices need to be separated by commas
    *AND* spaces; just commas doesn't work. I'm starting to hate debconf...
    This should also help to fix 100750 (see above)
  * dot-include /usr/share/debconf/confmodule at the top of the isdnutils
    postinst, as having that done later on by the #DEBHELPER# code fucks the
    system. closes:#100704
  * Priority reverted to 'extra' as only the "isdnutils" package is marked as
    "optional" in the overrides, all the other packages are "extra" ?! Only
    the isdnutils package itself is now "optional"...
  * updated config.guess and config.sub scripts in capi20/ and isdnlog/client/
    to satisfy simple-minded test by hppa build daemon (those parts aren't
    architecture: any and wouldn't be built anyway on hppa). closes:#105035
  * Added german translations to isdnlog.templates,
    courtesy of Sebastian Feltel <sebastian@feltel.de>. closes:#102095
  * Updated to latest CVS (isdnlog.h, divertctrl, FAQ). I patched divertctrl.c
    to accomodate 2.2 kernels during building.
  * Makefile for imontty now uses configured location of kernel include files.
    Ditto for {xmonisdn,xisdnload}/Makefile.in
  * Added "Replaces: isdnutils(<<1:3.1pre1b-0)" to isdnutils-xtools, ipppd,
    isdnlog, isdnvboxclient, isdnvboxserver, libcapi20, and isdnactivecards.
    This should prevent upgrade of isdnutils removing the newly installed
    /usr/sbin/ipppd (for example, most apparent example) which was installed
    when the new package ipppd was installed earlier...  Hopefully this should
    prevent a *lot* of very strange bug reports.

 -- Paul Slootman <paul@debian.org>  Mon, 16 Jul 2001 19:07:05 +0200

isdnutils (1:3.1pre1b-10) unstable; urgency=low

  * Fixed (upstream) bug in isdnctrl which prevented dialout etc.
  * isdnutils: further debashified init.d.functions and device.DEVICE.
    closes:#95716
  * isdnutils: added support for loading of ISAR.BIN in isdnutils init.d
    script, and include ISAR.BIN in isdnutils package instead of
    isdnactivecards.  closes:#93403,#89885
  * isdnutils: check in postinst whether vboxgetty is configured into inittab,
    and if so, whether isdnvboxserver is installed. If not, then give a
    warning. This is part 1 of bug #84031. I hate bug reports with multiple
    hardly-related bugs in one.
  * isdnutils: enhanced the HOWTO with suggestions by Matthias Berse
    <matthias.berse@ruhr-uni-bochum.de> with guide on setting up a simple
    connection to the internet. Hopefully it's a little less confusing now.
    closes:#70852
  * isdnutils: added comments to device.DEVICE and HOWTO about default route
    also being set in /etc/ppp/ip-{up,down}.d/*-ipppd and how to avoid that
    if you don't want that feature.  closes:#66854
  * ipppd: "Suggest:" dnrd as that works fine with ipppd to provide support
    for dynamic DNS servers.
  * isdnvboxserver: offer the possibility of skipping debconf configuration
    for those that prefer to do it by hand (or who already have a working
    config from pre-debconf versions). This is part 2 of bug #84031
  * isdnvboxserver: chown the spooldir to the right user. (The client user
    was used, not the daemon user. The client user does not have to exist
    as a real user.) This is part 3 and the final part of bug #84031, so
    closes:#84031
  * isdnvboxserver: vbox examples weren't included in the package.
    closes:#98048
  * isdnvboxclient: replace /dev/fd/0 with - in vboxplay for aplay (which
    understands - to mean stdin, although that's not documented in the manpage)
    closes:#85455
  * isdnvboxclient: make vboxbeep sound more distinctive, and ignore filenames
    starting with '.'. Thanks to Norbert Nemec <nobbi@cheerful.com>.
    closes:#87771
  * Kernel 2.4 is supported already. closes:#72834
  * isdnutils-xtools: xmonisdn now runs the xmonisdn-netup and -netdown
    commands with a "start" and "stop" parameter, as per manpage. closes:#80951
  * Priority changed to 'optional' to agree with the overrides.
  * The build now longer needs the /proc/self/fd/0 hack for reading from stdin,
    the tools have been modified to understand "-". Apparently on ARM there is
    no /proc/self/fd/0 ?!

 -- Paul Slootman <paul@debian.org>  Sun, 10 Jun 2001 13:49:29 +0200

isdnutils (1:3.1pre1b-9) unstable; urgency=low

  * Fixed build problems on big-endian systems. Hopefully it also functions
    correctly :-)  closes:#89361
  * Reverted to using supplied freecdb code instead of debian package.
  * Updated isdnctrl, isdnlog, pppdcapiplugin, FAQ to current CVS version
    (no other changes in CVS).
  * Screwed up with the kernel source package thing, so source wasn't available
    if not somewhere in /usr/src or /usr/local/src already. closes:#91921
  * Changed the /dev/fd/0 to /proc/self/fd/0 . Apparently /dev/fd/* aren't
    always available (it wasn't on my sparc, installed from the Official
    cdroms), and it seems to confuse the hell out of a lot of people (they
    think the floppy is used :-)
  * Removed cui reference from ttyI(4) manpage. closes:#99609
  * Fixed /etc/isdn/init.d.functions to handle starting isdnlog with devfs.
  * Ignore errors from 'killall vboxgetty' in isdnvboxserver postinst.
  * Upgrading now no longer stops (and starts) anything via the init.d script.
    closes:#81519
  * Hopefully, upgrading from old 3.0-20 version to the current split version
    where ipppd is a separate package will now warn if ipppd is configured but
    not selected as a package. closes:#81517
  * Build-Depends tcl-dev changed to tcl8.3-dev, as the virtual package tcl-dev
    seems to have all but disappeared. Also updated xlib6g-dev to xlibs-dev,
    and kernel-source-2.2.19. libxaw-dev and libreadline4-dev added.
  * upgraded standards-version to 3.5.5

 -- Paul Slootman <paul@debian.org>  Wed,  6 Jun 2001 11:39:00 +0200

isdnutils (1:3.1pre1b-8) unstable; urgency=low

  * Fix "isdnutils status" with 2.4 kernels. closes:#89859,#89250
  * Add xutils to build dependencies. closes:#88100
  * Now include README.MPPP with the ipppd package. closes:#88911
  * Build-depend on kernel-headers-2.2.19pre17 (for now), closes:#86481

 -- Paul Slootman <paul@debian.org>  Mon, 26 Mar 2001 16:55:02 +0200

isdnutils (1:3.1pre1b-7) unstable; urgency=medium

  * Added debconf to depends of isdnlog and isdnvboxserver. Oops.
  * Bring interface up before adding routes to it when using MPPP.
    Thanks to Karl Erik Oyoygard for finding this.

 -- Paul Slootman <paul@debian.org>  Mon, 26 Feb 2001 09:39:48 +0100

isdnutils (1:3.1pre1b-6) unstable; urgency=low

  * isdnlog postinst still looked in /usr/share/doc/isdnutils/ for its
    example files. closes:#87399

 -- Paul Slootman <paul@debian.org>  Sun, 25 Feb 2001 15:34:21 +0100

isdnutils (1:3.1pre1b-5) unstable; urgency=medium

  * Fixed isdnrep to preserve the rest when called with -d. The old version
    deleted ALL data, yuck. Grave bug. closes:#83122
  * Separate pppdcapiplugin package (by popular request).
  * Changed ipppd.DEVICE example file, esp. the proxyarp line. closes:#69233
  * Fixed ipppd so that "noipx" option doesn't turn it ON. closes:#70416
  * Added "nohostroute" as option for ipppd yet again (sigh).
  * Fixed libcapi20 section (now in libs (of course)).
  * Updated most of it to the current CVS version.
  * Don't call hisaxctrl when starting isdnlog if cardid is capidrv-*
    (e.g.  with avmb1 module).
  * Added "MAKEDEV capi" to isdnactivecards.postinst.
  * Check for both /dev/isdninfo and /dev/isdn/isdninfo in init.d.functions,
    for devfs purposes. closes:#81368
  * Still got a bug report about isdnutils being installed without ipppd,
    despite the test in isdnutils.preinst. Now also look for ipppX interfaces
    (with netstat -i) in case people use non-standard isdn configs. Also added
    some debugging stuff in that script to help diagnose the problem when it
    goes wrong again.
  * Move the example scripts from /usr/share/doc/*/examples/default/ to
    /usr/share/isdn/default/ . closes:#85976
  * Fix init.d.functions to preserve any routes over a specific interface when
    adding a slave device to it (the interface had to be 'down" to add a slave,
    and that makes the kernel delete any routes that used that interface).
    closes:#85981
  * Run ipmasq (again) (if available) after configuring / deconfiguring the
    interfaces in the init script. closes:#69593
  * Check for old /etc/ppp/ip-{up,down}.d/{00,99}-isdnutils files, and either
    copy them to {00,99}-ipppd in the ipppd.preinst, or tell the user to check
    those files if {00,99}-ipppd already exist. Also nag in init.d.functions .
  * Replaced bashisms from /etc/isdn/init.d/functions.
  * Replaced some instances of tempnam() with more secure temp file usage.
  * Fixed having dh_installinit-supplied scripting added twice. Motto:
    don't use -ppackage when -a is already in effect.
  * Added manpage for vbox command.

 -- Paul Slootman <paul@debian.org>  Sun, 18 Feb 2001 19:06:24 +0100

isdnutils (1:3.1pre1b-4) unstable; urgency=low

  * Added experimental MPPP setup configuration (see README.MPPP).
  * Split off the capi20 library into libcapi20, as there are separate CAPI
    applications starting to turn up that need the capi20 libs for compilation
    and execution.
  * isdnactivecards init.d script had an error. closes:#77295
  * isdnutils preinstall checks whether ipppd config files exist and whether
    ipppd has been selected for installation, to prevent ipppd from
    disappearing while doing apt-get dist-upgrade. Something similar should
    probably be done for the other split-off packages, however ipppd is the
    most critical... (related to bug 65134)
  * update of isdn.conf didn't go right when upgrading from 3.0. 
  * Don't include the old isdn.conf example in doc/isdnlog/examples/default/
    anymore, the other ones from upstream are better nowadays.
  * Fetch defaults for debconf in isdnlog from current isdn.conf if it exists.
  * isdnvboxclient now is for any architecture, as it doesn't depend on ISDN
    hardware. Also don't make it depend on isdnutils; suggestion from
    dungeon.inka.de (Andreas Jellinghaus)
  * As there are now separate packages, one of which is for X utilities,
    this closes:#46433,#61831
  * Fix vbox documentation. Also noticed example/vboxd.conf wasn't being
    included in the (now) isdnvboxserver package, and example/vborxrc not in
    isdnvboxclient; oops... closes:#63700
  * Commenting out the "not configured" line in device.i* now also works, for
    those people who can't read instructions :-) closes:#70815
  * Updated rate-nl.dat and rate-de.dat
  * Removed old postinst stuff from original isdnutils from isdnutils-doc
    postinst.

 -- Paul Slootman <paul@debian.org>  Thu, 30 Nov 2000 23:49:18 +0100

isdnutils (1:3.1pre1b-3) unstable; urgency=low

  * First upload to unstable of the new isdnutils, after residing in
    experimental for a number of weeks. Most of the obvious bugs should
    be fixed now... Time for a larger audience to find the less obvious
    bugs :-)
  * capiinit now searches the correct directory for the firmware.
  * isdnactivecards now has a separate init.d script.
  * isdnvboxserver postinst could terminate due to exit code 30 from
    debconf, hopefully fixed now.

 -- Paul Slootman <paul@debian.org>  Wed, 18 Oct 2000 11:09:19 +0200

isdnutils (1:3.1pre1b-2) experimental; urgency=low

  * based on newest CVS version (2000-09-14). Now includes isdncause script.
  * Fixed up the control file, such as depends etc. and the sections.
  * Split isdnvbox into a server and a client part (isdnvboxserver and
    isdnvboxclient). An isdnvbox package remains for the time being that
    depends on both parts. This will go away when this stuff moves out of
    experimental.
  * First debconf attempt for isdnvboxserver.
  * Mark as conffiles /etc/isdn/vbox*
  * vbox messagefiles now are written with .vmsg extension, to facilitate
    handling via MIME.
  * default location for vbox.conf is now ~user/.vbox.conf instead of
    /var/spool/vbox/user/vbox.conf
  * Changed configuration to include capiinit (for isdnactivecards). This was
    missing in the previous versions...
  * Build-depend on tcl-dev instead of tcl8.0-dev|tcl8.2-dev|tcl8.3-dev ...
  * Fixed doc-base files.
  * Removed Yahoo Online from isdn.conf.de, apparently not usable anymore.
  * Fixed a lot of little things already reported as bugs. Not closing now,
    as this is still destined for experimental. The bugs that would be closed
    are 65056, 65059, 65060, 65061, 65065 (Thanks for all these reports Joey :)

 -- Paul Slootman <paul@debian.org>  Mon, 18 Sep 2000 19:48:45 +0200

isdnutils (1:3.1pre1b-1.1) experimental; urgency=low

  * test version only, only official upload (hence the "NMU" number).
  * I've taken the newest upstream CVS version again, which included quite a
    lot of what was in isdnutils_3.1pre1b-1.diff.gz .
  * Fixed dependencies (I had forgotten the epoch)
  * Fixed isdnconfig to get its default files from the right places;
    also removed isdnlog stuff from it as isdnlog has its own debconf
    stuff now.
  * Re-implemented some "smart" stuff in vboxmail and vboxplay that I had
    added in the 3.0 series of isdnutils.

 -- Paul Slootman <paul@debian.org>  Fri,  8 Sep 2000 09:39:58 +0200

isdnutils (1:3.1pre1b-1) experimental; urgency=low

  * New upstream sources (CVS of 2000/08/01)
  * Completely new packaging, now based on debhelper. So expect bugs for the
    first couple of versions while fixes made in the old version slowly get
    reimplemented :-)
  * Split into different packages. This helps those e.g. who don't need/want
    the X libs installed, and is also a must now there are megabytes of
    country-specific data for isdnlog.
  * isdnlog should now be country-independent! World premiere of this code :-)
    (Before, isdnlog was compile-time configured for a country.)
  * First attempt at adding debconf support as well. isdnlog is fairly complete,
    ipppd should have a debconf thing to create ippp0 config.

 -- Paul Slootman <paul@debian.org>  Mon,  4 Sep 2000 21:10:48 +0200

